Subject: [PATCH v2 1/4] mmc: omap_hsmmc: Convert hsmmc driver to use device tree

From: [email-masked] (Rajendra Nayak)
Date: Fri, 24 Feb 2012 18:34:46 +0530

On Friday 24 February 2012 06:32 PM, Cousson, Benoit wrote:
> On 2/24/2012 1:58 PM, Rajendra Nayak wrote:
>> On Friday 24 February 2012 06:21 PM, Cousson, Benoit wrote:
>>> On 2/24/2012 12:35 PM, Rajendra Nayak wrote:
>>>> On Friday 24 February 2012 05:02 PM, T Krishnamoorthy, Balaji wrote:
>>>>> On Thu, Feb 23, 2012 at 5:31 PM, Rajendra Nayak<[email-masked]> wrote:
> ...
>>>>>> +Required properties:
>>>>>> +- compatible:
>>>>>> + Should be "ti,omap2-hsmmc", for OMAP2/3 controllers
>>>>>
>>>>> omap_hsmmc is applicable for omap2430 and omap3.
>>>>> omap2420 has non high speed controller mmci-omap -
>>>>> drivers/mmc/host/omap.c
>>>>> May be omap3-hsmmc compatible with omap2430 ?
>>>>
>>>> Agree. I think its best in that case for me to define a
>>>> compatible "ti,omap2430-hsmmc" for omap2430 and "ti,omap3-hsmmc"
>>>> for omap3. Though the IP blocks are same, I cant think of some
>>>> common compatible string without causing confusion.
>>>
>>> It depends, can we detect that using HW revision?
>>
>> We don't need to. The driver does not do anything different for
>> 2430 or omap3.
>
> I was thinking of OMAP2420 vs OMAP2430. But I'm now wondering if we are
> using the same driver for the non-HS controller?

No, we don't. there is a different driver for 2420.

>
>>> In that case, there is no need to differentiate again with compatible.
>>
>> Thats perfectly fine. But what *common* compatible string would you
>> use?
>
> I think that "ti,omap2-hsmmc" is still fine, because OMAP2420 will have
> "ti,omap2-mmc" and thus we can differentiate the 2 versions.
>
> Does that make sense?

yup, that makes sense. So I don't need to change anything :-)

> Regards,
> Benoit